## mussort 0.3

=== Makefile ===
# mussort makefile

VERSION=$(shell ./mussort --version|perl -pi -e 's/^\D+//; chomp')

ifndef prefix
# This little trick ensures that make install will succeed both for a local
# user and for root. It will also succeed for distro installs as long as
# prefix is set by the builder.
prefix=$(shell perl -e 'if($$< == 0 or $$> == 0) { print "/usr" } else { print "$$ENV{HOME}/.local"}')
endif

BINDIR ?= $(prefix)/bin
DATADIR ?= $(prefix)/share
DISTFILES = COPYING Makefile mussort NEWS TODO mussort.1

# Install mussort
install:
	mkdir -p "$(BINDIR)"
	cp mussort "$(BINDIR)"
	chmod 755 "$(BINDIR)/mussort"
	[ -e mussort.1 ] && mkdir -p "$(DATADIR)/man/man1" && cp mussort.1 "$(DATADIR)/man/man1" || true
localinstall:
	mkdir -p "$(BINDIR)"
	ln -sf $(shell pwd)/mussort $(BINDIR)/
	[  -e mussort.1 ] && mkdir -p "$(DATADIR)/man/man1" && ln -sf $(shell pwd)/mussort.1 "$(DATADIR)/man/man1" || true
# Unisntall an installed mussort
uninstall:
	rm -f "$(BINDIR)/mussort"
	rm -f "$(DATADIR)/man/man1/mussort.1"
# Clean up the tree
clean:
	rm -f `find|egrep '~$$'`
	rm -f mussort-$(VERSION).tar.bz2
	rm -rf mussort-$(VERSION)
	rm -f mussort.1
# Verify syntax
test:
	@perl -c mussort
# Create a manpage from the POD
man:
	pod2man --name "mussort" --center "" --release "mussort $(VERSION)" ./mussort ./mussort.1
# Create the tarball
distrib: clean test man
	mkdir -p mussort-$(VERSION)
	cp $(DISTFILES) ./mussort-$(VERSION)
	tar -jcvf mussort-$(VERSION).tar.bz2 ./mussort-$(VERSION)
	rm -rf mussort-$(VERSION)
	rm -f mussort.1

=== debian/changelog ===
mussort (0.3-6) unstable; urgency=low

  * d/control: fix VCS links

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Mon, 31 Aug 2015 20:39:41 +0000

mussort (0.3-5) unstable; urgency=low

  * d/control: VCS links, standards version

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Tue, 18 Nov 2014 19:47:07 +0000

mussort (0.3-4) unstable; urgency=low

  * debian/control: fix VCS links 

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Wed, 16 Jul 2014 22:09:32 +0100

mussort (0.3-3) unstable; urgency=low

  * Update standards version to 3.9.5

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Wed, 14 May 2014 14:07:41 +0100

mussort (0.3-2) unstable; urgency=low

  * Disable build rule to stay within pkg build dir (Closes: #728641)

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Tue, 05 Nov 2013 10:57:03 +0100

mussort (0.3-1) unstable; urgency=low

  * Initial release (Closes: #719595)

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Tue, 13 Aug 2013 13:12:42 +0200

=== debian/control ===
Source: mussort
Section: utils
Priority: extra
Maintainer: Sascha Steinbiss <satta@tetrinetsucht.de>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.6
Homepage: http://random.zerodogg.org/mussort
Vcs-Browser: https://anonscm.debian.org/cgit/users/sascha-guest/mussort.git
Vcs-Git: git://anonscm.debian.org/users/sascha-guest/mussort.git

Package: mussort
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, id3v2, libogg-vorbis-header-pureperl-perl, libaudio-file-perl, libid3-dev, vorbis-tools
Description: simple tool that sorts a music collection
 Mussort is a useful tool for keeping large music collections in shape. It
 recursively searches a directory for MP3, Ogg Vorbis and FLAC files,
 processing them one by one. It then reads the information from the file and
 puts them into a newly sorted directory tree.

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mussort-$1.tar.gz/ \
  https://github.com/zerodogg/mussort/tags .*/v?(\d\S*)\.tar\.gz

## mussort 0.4

=== debian/changelog ===
mussort (0.4-4) unstable; urgency=medium

  * Update watchfile to point to new upstream location on Codeberg.
  * Use debhelper-compat 13.
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Add upstream metadata.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 11 Feb 2025 21:03:32 +0100

mussort (0.4-3) unstable; urgency=medium

  * Use Salsa Vcs* entries.
  * Bump Standards-Version.
  * Use debhelper 11.
  * Use optional instead of extra priority.
  * Remove unnecessary Testsuite: field.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 01 Aug 2018 21:26:49 +0200

mussort (0.4-2) unstable; urgency=medium

  * use correct dependency for id3info (libid3-tools)
  * adjust maintainer info
  * fix VCS links
  * use https for d/copyright's Format field
  * cosmetics as done by 'cme fix dpkg'

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jun 2016 09:25:05 +0000

mussort (0.4-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer email address.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 19 Mar 2016 22:20:03 +0000

mussort (0.3-7) unstable; urgency=medium

  * Add autopkgtest.
  * Bring d/control up to speed with current standards.
  * Bump compat level.

 -- Sascha Steinbiss <satta@tetrinetsucht.de>  Fri, 11 Mar 2016 17:04:53 +0000

=== debian/control ===
Source: mussort
Maintainer: Sascha Steinbiss <satta@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/satta/mussort
Vcs-Git: https://salsa.debian.org/satta/mussort.git
Homepage: https://www.zerodogg.org/mussort/

Package: mussort
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         id3v2,
         libogg-vorbis-header-pureperl-perl,
         libaudio-file-perl,
         libid3-tools,
         vorbis-tools
Description: simple tool that sorts a music collection
 Mussort is a useful tool for keeping large music collections in shape. It
 recursively searches a directory for MP3, Ogg Vorbis and FLAC files,
 processing them one by one. It then reads the information from the file and
 puts them into a newly sorted directory tree.

=== debian/tests/control ===
Tests: test-installed
Depends: @, id3v2, ffmpeg
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mussort-$1.tar.gz/ \
  https://codeberg.org/zerodogg/mussort/tags .*/v?(\d\S*)\.tar\.gz
